#include<bits/stdc++.h>

using namespace std;

int n,k;
vector<int> koliko;
int pom;

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n >> k;
    koliko.resize(2*n+2);
    for(int i=0;i<n;i++)
    {
        cin >> pom;
        koliko[pom+n]++;
    }
    int res=0;
    for(int i=0;i<koliko.size();i++)
        if(koliko[i]>=k)
        res++;
    cout << res << endl;
    for(int i=0;i<koliko.size();i++)
        if(koliko[i]>=k)
        cout << i-n << " ";
}